> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Absence Types



## OpenAPI

````yaml GET /schedule/v1/absence-types
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/absence-types:
    get:
      tags:
        - Absence Types
      summary: List Absence Types
      operationId: ListAbsenceTypes
      parameters:
        - in: query
          name: status
          description: Absence type status
          schema:
            type: string
            enum:
              - active
              - inactive
        - in: query
          name: limit
          description: Limit results
          schema:
            type: integer
        - in: query
          name: page
          description: Request a specific page
          schema:
            type: integer
      responses:
        '200':
          description: Array of Objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        needsValidation:
                          type: boolean
                        company:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                            notificationEmail:
                              type: string
                              format: email
                            language:
                              type: string
                            createdAt:
                              type: string
                              format: Y-m-dTH:i:sP
                              example: '2020-01-01T10:00:00+01:00'
                            updatedAt:
                              type: string
                              format: Y-m-dTH:i:sP
                              example: '2020-01-01T10:00:00+01:00'
                        createdAt:
                          type: string
                          format: Y-m-dTH:i:sP
                          example: '2020-01-01T10:00:00+01:00'
                        updatedAt:
                          type: string
                          format: Y-m-dTH:i:sP
                          example: '2020-01-01T10:00:00+01:00'
                        deletedAt:
                          type: string
                          nullable: true
                        type:
                          type: string
                          enum:
                            - normal
                            - private
                        pickMode:
                          type: string
                          enum:
                            - by_days
                            - by_time_range
                        maxPerPeriod:
                          type: object
                          properties:
                            quantity:
                              type: integer
                            period:
                              type: string
                              enum:
                                - day
                                - week
                                - month
                                - year
                            timeUnit:
                              type: string
                              enum:
                                - day
                                - minute
                        remuneratedType:
                          type: string
                          enum:
                            - remunerated
                            - not_remunerated
                        category:
                          type: string
                          enum:
                            - sick_leave
                            - permission
                        status:
                          type: string
                          enum:
                            - active
                            - inactive
                        documentMode:
                          type: string
                          enum:
                            - mandatory
                            - optional
                            - notRequired
                        accumulative:
                          type: boolean
                        color:
                          type: string
                        maxDateToTakeAbsence:
                          type: string
                          format: date
                        creationDateNextYear:
                          type: string
                          format: date
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````